#ifndef DEFINICIONES_H
#define DEFINICIONES_H
#include <QProcess>
#include <QString>
#include <QMessageBox>

#define BINCONV "mencoder"
#define TERM "xterm -e"
#define MPDOWN "killall mencoder"

void video2calidadmpeg(QString cent, QString csal, QString file, QString subtitulo, QString conversor) {

    QString cad;

    cad.append(TERM).append(" ").append(conversor).append(" ").append(cent).append("/").append(file).append(" ").append("-o ").append(csal).append("/").append(file).append(".mpg ")
            /* Parametros de conversion reales */ .append("-mc 0 -noskip -oac lavc -ovc lavc -of mpeg -mpegopts format=dvd:tsaf -vf scale=720:576,harddup -srate 48000 -af lavcresample=48000 -lavcopts vcodec=mpeg2video:vrc_buf_size=1835:vrc_maxrate=9800:vbitrate=5000:keyint=15:vstrict=0:acodec=mp2:abitrate=192:aspect=16/9 -sub-bg-alpha 100 -subpos 95 -subfont-text-scale 2.5 -subcp cp1250 -sub ").append(subtitulo)
    .append("\""); // Cerrar expresion.

    //QMessageBox::about(0,"tit", cad);



    QProcess::execute(MPDOWN);
    QProcess::execute(cad);


}

void video2xvid(QString cent, QString csal, QString file, QString subtitulo, QString conversor, QString resolucion, QString pasos) {

    QString cad;

    if (pasos == "1") {

        // Un paso de conversion
        cad.append(TERM).append(" \"").append(conversor).append(" ").append(cent).append("/").append(file).append(" ").append("-o ").append(csal).append("/").append(file).append(".avi ")
           /* Parametros de conversion reales */ .append("-ovc xvid -oac mp3lame -ffourcc DX50 -xvidencopts bitrate=780 -lameopts vbr=2:aq=3:q=3 -vf harddup=1 -channels 2 -srate 32000 -ofps 25.00 -vf-add scale=").append(resolucion).append(" -sub-bg-alpha 100 -subpos 95 -subfont-text-scale 2.5 -subcp cp1250 -sub ").append(subtitulo)
           .append("\""); // Cerrar expresion.



    } else {
        if (pasos == "2") {
        // 2 pasos de conversion

        cad.append(TERM).append(" \"").append(conversor).append(" ").append(cent).append("/").append(file).append(" ").append("-o ").append(csal).append("/").append(file).append(".avi ")
           /* Parametros de conversion reales */ .append("-ovc xvid -oac mp3lame -ffourcc DX50 -xvidencopts pass=2:bitrate=780 -lameopts vbr=2:aq=3:q=3 -vf harddup=1 -channels 2 -srate 32000 -ofps 25.00 -vf-add scale=").append(resolucion).append(" -sub-bg-alpha 100 -subpos 95 -subfont-text-scale 2.5 -subcp cp1250 -sub ").append(subtitulo)
           .append("\""); // Cerrar expresion.


        }


    }

    // QMessageBox::about(0,"df",cad);

    QProcess::execute(MPDOWN);
    QProcess::execute(cad);

}

void video2mp4aac(QString cent, QString csal, QString file, QString subtitulo, QString conversor) {


    QString cad;

    cad.append(TERM).append(" ").append(conversor).append(" ").append(cent).append("/").append(file).append(" ").append("-o ").append(csal).append("/").append(file).append(".mp4 ")
       /* Parametros de conversion reales */ .append("-of lavf -lavfopts format=mp4 -oac lavc -ovc lavc -lavcopts vbitrate=500:aglobal=1:vglobal=1:acodec=libfaac:abitrate=64:vcodec=mpeg4:keyint=25 -vf harddup,scale=352:288 -mc 0 -noskip -sub-bg-alpha 100 -subpos 95 -subfont-text-scale 2.5 -subcp cp1250 -sub ").append(subtitulo)
       .append("\""); // Cerrar expresion.

    //QMessageBox::about(0,"tit", cad);



    QProcess::execute(MPDOWN);
    QProcess::execute(cad);
}


#endif // DEFINICIONES_H
